### Method

# Foundry BuildPipeline clean

#### Declaration [src]

    FoundryBuildProgress*
    foundry_build_pipeline_clean (
      FoundryBuildPipeline* self,
      FoundryBuildPipelinePhase phase,
      int pty_fd,
      DexCancellable* cancellable
    )

#### Description [src]

Clean the build pipeline. (e.g. `make clean`).

#### Parameters

`phase`

  Type: `FoundryBuildPipelinePhase`

  No description available.

`pty_fd`

  Type: `int`

  No description available.

`cancellable`

  Type: `DexCancellable`

  A `DexCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `FoundryBuildProgress`

A `FoundryBuildProgress`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.